#ifndef __SOURCE4_NBT_SERVER_DGRAM_PROTO_H__
#define __SOURCE4_NBT_SERVER_DGRAM_PROTO_H__

#undef _PRINTF_ATTRIBUTE
#define _PRINTF_ATTRIBUTE(a1, a2) PRINTF_ATTRIBUTE(a1, a2)
/* This file was automatically generated by mkproto.pl. DO NOT EDIT */

/* this file contains prototypes for functions that are private 
 * to this subsystem or library. These functions should not be 
 * used outside this particular subsystem! */


/* The following definitions come from ../../source4/nbt_server/dgram/request.c  */

void dgram_request_handler(struct nbt_dgram_socket *dgmsock, 
			   struct nbt_dgram_packet *packet,
			   struct socket_address *src);
NTSTATUS nbtd_dgram_setup(struct nbtd_interface *iface, const char *bind_address);

/* The following definitions come from ../../source4/nbt_server/dgram/netlogon.c  */

void nbtd_mailslot_netlogon_handler(struct dgram_mailslot_handler *dgmslot,
				    struct nbt_dgram_packet *packet,
				    struct socket_address *src);

/* The following definitions come from ../../source4/nbt_server/dgram/browse.c  */

void nbtd_mailslot_browse_handler(struct dgram_mailslot_handler *dgmslot, 
				  struct nbt_dgram_packet *packet, 
				  struct socket_address *src);
#undef _PRINTF_ATTRIBUTE
#define _PRINTF_ATTRIBUTE(a1, a2)

#endif /* __SOURCE4_NBT_SERVER_DGRAM_PROTO_H__ */

